[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Edgel Class Reference |
--- | --- | ---

`#include "vigra/edgedetection.hxx"`

## Public Attributes
float | x
float | y
float | strength
float | orientation

## Detailed Description

Helper class that stores edgel attributes.

## Member Data Documentation

float orientation

| The edgel's orientation. This is the angle between the x-axis and the edge, so that the bright side of the edge is on the right. The angle is measured counter-clockwise in radians like this:
      edgel axis
          \  (bright side)
     (dark \
     side)  \ /__
             \\  \ orientation angle
              \  |
               +------------> x-axis
               |
               |
               |
               |
        y-axis V
So, for example a vertical edge with its dark side on the left has orientation PI/2, and a horizontal edge with dark side on top has orientation 0. Obviously, the edge's orientation changes by PI if the contrast is reversed.

float strength

| The edgel's strength (magnitude of the gradient vector).

float x

| The edgel's sub-pixel x coordinate.

float y

| The edgel's sub-pixel y coordinate.

The documentation for this class was generated from the following file:

- vigra/edgedetection.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)